/*
 *	fcon.h	F-CON Monitor packet contents database definision
 *			Copyright(C)2003 Kashi Electronics Designs,
 *			All Rights Reserved.
 *	Ver 1.0	Sep.8/2003 first release
 *
 *   This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *   This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 */
	
//struct	tfFCONV		{
//	unsigned char	header;
//	char	dir[2], sec[2], offs[2];
//	char	data[32];
//	char	sum[2];
//};
//
//struct	tfFCONVP	{
//	unsigned char	header, dir, len;
//	unsigned short	sec, addr;
//	unsigned char	data[16];
//	unsigned char	sum;
//};
//
//struct	tfFCONS
//	unsigned char	header, dir, len;
//	unsigned short	sec, addr;
//	unsigned char	data[16];
//	unsigned char	sum;
//};
//
//struct	tfFCONVP5
//	unsigned char	header, dir, len;
//	unsigned char	sec_msb, sec_lsb;
//	unsigned char	addr_msb, addr_lsb;
//	unsigned char	data[16];
//	unsigned char	sum;
//};
//

struct	tsMonEnt	{
	char			num;
	unsigned char	addr;
	char			label[6];
	char			type;
	char			unit;
};

enum {
		U_RPM, U_MV, U_KG, U_PCT, U_CA,
		U_BD, U_US, U_MS, U_KM, U_NA,
		U_C, U_MHG, U_10MV, U_MPCT, U_1,
		U_01, U_001, U_V, U_L
};

enum {
	T_INT, T_DEG, T_CHR, T_BOL, T_35I,
	T_100, T_05C, T_UI, T_IM5, T_I1K,
	T_NCH, T_TIN
};

enum {
	FCT_VP31, FCT_S, FCT_VP30, FCT_VP2,
	FCT_EOF
};

//
// moniter packet definition for F-CON Vpro(gold)
//
//
enum {	L1_ESPED, L1_MAFS, L1_THR, L1_WTEMP, L1_ITEMP,
		L1_IPRES, L1_AF, L1_ETEMP, L1_FPRES, L1_VBATT,
		L1_VSPED, L1_SW, L1_DESPD, L1_DTHR, L1_KNOCK,
		L1_FUEL1, L1_IGNP1, L1_FUEL2, L1_IGNP2, L1_ISCV,
		L1_TWIN, L1_FCTOT, L1_FCMAP, L1_FCTHR, L1_FCVSP,
		L1_FCWTP, L1_FCITP, L1_FCETP, L1_FCFPR, L1_FCVOL,
		L1_FCLOD, L1_FCACC, L1_FCDEC, L1_FCSTA, L1_FCAIJ,
		L1_FCINJ, L1_FCIDL, L1_IRMAP, L1_IRTHR, L1_IRVSP,
		L1_IRWTP, L1_IRITP, L1_IRETP, L1_IRFPR, L1_IRVOL,
		L1_IRLOD, L1_IRACC, L1_IRDEC, L1_IRSTA, L1_IRIDL,
		L1_IGDIS, L1_O2ACT, L1_ACSW, L1_LDSW1, L1_LDSW2,
		L1_NTRL, L1_EOF
};


//
// moniter packet definition for F-CON S
//
//
enum {	L2_ESPED, L2_IPRES, L2_THR, L2_DTHR, L2_MAFS1,
		L2_MAFS2, L2_VSPED, L2_AF, L2_F1IN, L2_F2IN,
		L2_F1OUT, L2_F2OUT, L2_AICO, L2_AICD, L2_VBATT,
		L2_VOPT1, L2_VOPT2, L2_WTEMP, L2_ITEMP, L2_FTOT,
		L2_ITOT, L2_ATOT, L2_FCOR1, L2_FCOR2, L2_FCWTP,
		L2_FCITP, L2_FCGCC, L2_FCVPC, L2_FCSBC, L2_FCACC,
		L2_IR1, L2_IR2, L2_IRWTP, L2_IRITP, L2_IRGCC,
		L2_IRVPC, L2_IRSBC, L2_IRACC, L2_AWTMP, L2_AITMP,
		L2_TSBC, L2_EOF
};
//
// moniter packet definition for F-CON Vpro(silver)
//
//
enum {	L3_ESPED, L3_MAFS, L3_THR, L3_WTEMP, L3_ITEMP,
		L3_IPRES, L3_AF, L3_ETEMP, L3_DTHR, L3_VBATT,
		L3_VSPED, L3_FUEL1, L3_IGNP1, L3_FUEL2, L3_IGNP2,
		L3_ISCV, L3_ERR1, L3_ERR2, L3_EOF
};


#ifdef	FCONV
enum FCV {	L_ESPED, L_IMAFS, L_OMAFS, L_THR, L_IPRES,
		L_VSPED, L_WTEMP, L_ITEMP, L_AF, L_FUEL1,
		L_INJT, L_FCTOT, L_IGNP1, L_IRTOT
};
#endif

